[arch-commits] Commit in intel-536ep/trunk (2.6.30.patch PKGBUILD intel-536EP.install)

Tobias Powalowski tpowa at archlinux.org
Thu Jun 11 16:04:43 EDT 2009


    Date: Thursday, June 11, 2009 @ 16:04:43
  Author: tpowa
Revision: 42217

upgpkg: intel-536ep 2.56.76.0-62

Added:
  intel-536ep/trunk/2.6.30.patch
Modified:
  intel-536ep/trunk/PKGBUILD
  intel-536ep/trunk/intel-536EP.install

---------------------+
 2.6.30.patch        |   10 ++++++++++
 PKGBUILD            |   13 ++++++++-----
 intel-536EP.install |    4 ++--
 3 files changed, 20 insertions(+), 7 deletions(-)

Added: 2.6.30.patch
===================================================================
--- 2.6.30.patch	                        (rev 0)
+++ 2.6.30.patch	2009-06-11 20:04:43 UTC (rev 42217)
@@ -0,0 +1,10 @@
+--- coredrv/coredrv.c~	2009-06-11 20:02:24.000000000 +0000
++++ coredrv/coredrv.c	2009-06-11 20:02:24.000000000 +0000
+@@ -782,7 +782,6 @@
+    if(hamproc == NULL) return -ENOMEM;
+    hamproc->read_proc = hamproc_read;
+    hamproc->write_proc = hamproc_write;
+-   hamproc->owner = THIS_MODULE;
+    return 0;
+ }
+ void detach_hamproc(void)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-11 19:56:35 UTC (rev 42216)
+++ PKGBUILD	2009-06-11 20:04:43 UTC (rev 42217)
@@ -4,18 +4,20 @@
 pkgname=intel-536ep
 name=intel-536EP
 pkgver=2.56.76.0
-pkgrel=61
-_kernver=2.6.29-ARCH
+pkgrel=62
+_kernver=2.6.30-ARCH
 pkgdesc="Intel Modem Drivers for 536EP chipset. For stock arch 2.6 kernel "
 arch=(i686)
 license=('custom:"INTEL536"')
 url="http://linmodems.technion.ac.il/packages/Intel/"
-depends=('intel-536ep-utils' 'kernel26>=2.6.29' 'kernel26<2.6.39')
-source=(http://linmodems.technion.ac.il/packages/intel/Philippe.Vouters/intel-536EP-2.56.76.0_2009_02_08.tar.bz2)
+depends=('intel-536ep-utils' 'kernel26>=2.6.30' 'kernel26<2.6.31')
+source=(http://linmodems.technion.ac.il/packages/intel/Philippe.Vouters/intel-536EP-2.56.76.0_2009_02_08.tar.bz2
+	2.6.30.patch)
 install=intel-536EP.install
 
 build() {
   cd $startdir/src/intel-536EP-2.56.76.0
+  patch -Np0 -i ../2.6.30.patch || return 1
   # fix makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" config_check
@@ -24,4 +26,5 @@
   install -D -m 644  Intel536.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/intel536.ko || return 1
   sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/intel-536EP.install
 }
-md5sums=('2c429c3ec7eab83a756dbdc611172474')
+md5sums=('2c429c3ec7eab83a756dbdc611172474'
+         '475f999386f79638971382d2ed063e7a')

Modified: intel-536EP.install
===================================================================
--- intel-536EP.install	2009-06-11 19:56:35 UTC (rev 42216)
+++ intel-536EP.install	2009-06-11 20:04:43 UTC (rev 42217)
@@ -8,7 +8,7 @@
 
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.29-ARCH
+  KERNEL_VERSION=2.6.30-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 echo
 echo
@@ -30,7 +30,7 @@
   rm /etc/hamregistry.bin
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.29-ARCH
+  KERNEL_VERSION=2.6.30-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 



More information about the arch-commits mailing list